Subject: bug#11073: 24.0.94; BIDI-related crash in redisplay with certain byte sequences

From: Kenichi Handa <[email-masked]>
Date: Thu, 29 Mar 2012 14:19:50 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> I understand this part.  The part I don't understand is why we do
> unification when reading a char from the buffer's text.  That is: why
> unify chars in `int' (or Lisp_Object) form but not in the
> internal-utf-8 representation?

> I would expect the unification to happen during encoding/decoding

Usually, yes.  But as far as there is a code space in high
area for a CJK charset, it is unavoidable to have a
buffer/string that contains a character represented by a
byte sequence in that high area as the test case of
Bug#11073.  And, as "unification" means to treat such a
character the same way as the unified character, I thought
they both have the same character code.

---
Kenichi Handa
[email-masked]